//
//  ViewController.swift
//  cwpTabledemo
//
//  Created by 柳小洲 on 16/12/27.
//  Copyright © 2016年 intest. All rights reserved.
//

import UIKit

class ViewController: UIViewController,UITableViewDelegate,UITableViewDataSource {

    var tableView : UITableView!
    
    let cellIDstr : String = "cell"
    
    var Arr = NSMutableArray()
    
    //点击cell出发方法,弹出下拉框
    var selectedCellIndexPaths:[NSIndexPath] = []
    
    var textl1 = CGFloat()
    var textl2 = CGFloat()
    var textl3 = CGFloat()
    var textl4 = CGFloat()
    var textl0 = CGFloat()
    
    var textlArr : [CGFloat] = NSArray() as! [CGFloat]
    //方向指示箭头
    let ico_expand = UIImage(named: "icon_mr")!
    let ico_expand1 = UIImage(named: "icon_xl")!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.view.backgroundColor = UIColor.whiteColor()
        self.title = "林俊杰"
        
        //读取plist文件里面的类容
        let plistpath = NSBundle.mainBundle().pathForResource("cwpList", ofType: "plist")
        Arr = NSMutableArray(contentsOfFile: plistpath!)!
        
        
        textlArr = [textl0,textl1,textl2,textl3,textl4]
        
        tableView = UITableView(frame: UIScreen.mainScreen().bounds, style: .Plain)
        tableView.registerClass(cwpCell.self, forCellReuseIdentifier: cellIDstr)
        tableView.delegate = self
        tableView.dataSource = self
        setExtraCellLineHidden(tableView)
        self.view.addSubview(tableView)
        
    }
    
    func setExtraCellLineHidden(tableview:UITableView){
        
        let viw = UIView()
        viw.backgroundColor = UIColor.clearColor()
        tableview.tableFooterView = viw
        
    }
    
    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return Arr.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        
        var cell = tableView.dequeueReusableCellWithIdentifier(cellIDstr) as? cwpCell
        //防止视图加载重叠,删除上一次的控件
        for cell in cell!.contentView.subviews {
            
            cell.removeFromSuperview()
        }
        
        if(cell == nil){
            cell = cwpCell(style: .Default, reuseIdentifier: cellIDstr)
        }
        
        
        
        cell!.selectionStyle = UITableViewCellSelectionStyle.None
        
        
        //调用cwpCell 里面的方法 实例化控件
        cell?.setinitlabel((Arr[indexPath.row]["Title"] as? String)!)
        cell?.setUILabelinit((Arr[indexPath.row]["Titlesub"] as? String)!)
        textlArr[indexPath.row] = (cell?.textlabel.frame.height)!
        
        //点击展开和收缩改变文字颜色  图片
        if selectedCellIndexPaths.contains(indexPath) {
            
            cell!.labelc.textColor = UIColor(red: 0.0000, green: 0.6824, blue: 0.4627, alpha: 1.0000)
            cell!.setinitimage(ico_expand1)
            
        }else{
            
            cell!.labelc.textColor = UIColor(red: 0.3961, green: 0.3961, blue: 0.3961, alpha: 1.0000)
            cell!.setinitimage(ico_expand)
        }
        
        
        cell!.layer.masksToBounds = true
        
        
        return cell!
        
    }
    
    func tableView(tableView: UITableView, heightForRowAtIndexPath indexPath: NSIndexPath) -> CGFloat {
        
        var sdwsa = CGFloat()
        //根据类容的高度 改变cell的高度
        if(selectedCellIndexPaths.contains(indexPath)){
            sdwsa = textlArr[indexPath.row] + 50
        }else{
            sdwsa = 40
        }
        return sdwsa
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        
        //点击展开或收缩
        if let index = selectedCellIndexPaths.indexOf(indexPath) {
            
            selectedCellIndexPaths.removeAtIndex(index)
            
        }else{
            
            selectedCellIndexPaths.append(indexPath)
            
        }
        //刷新cell
        tableView.reloadRowsAtIndexPaths([indexPath], withRowAnimation: .Automatic)
        
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }



}

